Loading...
Searching...
No Matches
icu::number::Precision::PrecisionUnion::FractionSignificantSettings Struct Reference

`#include <numberformatter.h>`

## Data Fields

impl::digits_t | fMinFrac
impl::digits_t | fMaxFrac
impl::digits_t | fMinSig
impl::digits_t | fMaxSig
UNumberRoundingPriority | fPriority
bool | fRetain
| Whether to retain trailing zeros based on the looser strategy.

## Detailed Description

Internal
  Do not use. This API is for internal use only. (private)

Definition at line 727 of file numberformatter.h.

## Field Documentation

## fMaxFrac

impl::digits_t icu::number::Precision::PrecisionUnion::FractionSignificantSettings::fMaxFrac

Internal
  Do not use. This API is for internal use only. (private)

Definition at line 732 of file numberformatter.h.

## fMaxSig

impl::digits_t icu::number::Precision::PrecisionUnion::FractionSignificantSettings::fMaxSig

Internal
  Do not use. This API is for internal use only. (private)

Definition at line 736 of file numberformatter.h.

## fMinFrac

impl::digits_t icu::number::Precision::PrecisionUnion::FractionSignificantSettings::fMinFrac

Internal
  Do not use. This API is for internal use only. (private)

Definition at line 730 of file numberformatter.h.

## fMinSig

impl::digits_t icu::number::Precision::PrecisionUnion::FractionSignificantSettings::fMinSig

Internal
  Do not use. This API is for internal use only. (private)

Definition at line 734 of file numberformatter.h.

## fPriority

UNumberRoundingPriority icu::number::Precision::PrecisionUnion::FractionSignificantSettings::fPriority

Internal
  Do not use. This API is for internal use only. (private)

Definition at line 738 of file numberformatter.h.

## fRetain

bool icu::number::Precision::PrecisionUnion::FractionSignificantSettings::fRetain

Whether to retain trailing zeros based on the looser strategy.

Internal
  Do not use. This API is for internal use only. (private)

Definition at line 743 of file numberformatter.h.

The documentation for this struct was generated from the following file:

- i18n/unicode/numberformatter.h